### Method

# RB Source update_play_statistics

#### Declaration [src]

    void
    rb_source_update_play_statistics (
      RBSource* source,
      RhythmDB* db,
      RhythmDBEntry* entry
    )

#### Description [src]

Updates play count and play time statistics for a database entry. Sources containing entries that do not normally reach EOS should call this for an entry when it is no longer being played.

#### Parameters

`db`

  Type: `RhythmDB`

  The `RhythmDB` instance.

  The data is owned by the caller of the method.

`entry`

  Type: `RhythmDBEntry`

  The `RhythmDBEntry` to update.

  The data is owned by the caller of the method.